Beta Ramps API
Payouts

Get Payouts By Payout Id

GET
/payouts/{payout_id}

Authorization

headerAuthorizationBearer <token>

Scope: orders:read

Path Parameters

payout_id*string

Payout workflow ID (prefix pwf_).

Response Body

The payout workflow.

application/json
  1. response

A payout workflow linking an exchange order to a deferred withdrawal order. withdrawal_order is absent until the exchange completes and the withdrawal order is created. Returned by POST /payouts and GET /payouts/{payout_id}.

id*string

Payout workflow ID (prefix pwf_).

status*string

Workflow status.

Value in"pending""withdrawal_created""completed""canceled""failed"
exchange_order*
withdrawal_order?
created_at*string
Formatdate-time
Example Request
curl -X GET 'https://api.betaramps.com/payouts/string'
Example Response
{  "id": "pwf_0192f4e8-2b3c-7d4e-9f50-6a7b8c9d0e12",  "status": "completed",  "exchange_order": {    "id": "ord_0192f4e3-8a9b-7c6d-5e4f-3a2b1c0d9e8f",    "type": "exchange",    "status": "completed",    "source_origin": "sub_0192f4e3-8a9b-7c6d-5e4f-3a2b1c0d9e8f",    "target_destination": "sub_0192f4e3-8a9b-7c6d-5e4f-3a2b1c0d9e8f",    "source_asset": "BRL",    "target_asset": "USDT",    "source_amount": "1000",    "target_amount": "182.49",    "fee": "1.00",    "price_reference": "5.45",    "rate_base_asset": "USDT",    "external_reference": "payout-2001",    "created_at": "2026-01-15T10:00:00Z",    "completed_at": "2026-01-15T10:02:00Z"  },  "withdrawal_order": {    "id": "ord_0192f4e7-3c4d-7e5f-a061-7b8c9d0e1f23",    "type": "withdrawal",    "status": "completed",    "source_origin": "sub_0192f4e3-8a9b-7c6d-5e4f-3a2b1c0d9e8f",    "target_destination_details": {      "wallet_id": "wal_0192f4e6-1a2b-7c3d-8e4f-5a6b7c8d9e01",      "wallet_address": "0xabc1230000000000000000000000000000000000",      "network": "ethereum",      "asset": "USDT"    },    "source_asset": "USDT",    "target_asset": "USDT",    "source_amount": "182.49",    "target_amount": "180.49",    "fee": "2.00",    "created_at": "2026-01-15T10:03:00Z",    "completed_at": "2026-01-15T10:05:00Z"  },  "created_at": "2026-01-15T10:00:00Z"}